ReverseLexComparator Class Reference

A predicate that sorts according to reverse lexicographic order. More...

`#include <TermPredicate.h>`

Inheritance diagram for ReverseLexComparator:

## Public Member Functions

| ReverseLexComparator (size_t varCount=0)
Public Member Functions inherited from TermPredicate
| TermPredicate (size_t varCount=0)
virtual | ~TermPredicate ()
bool | operator() (const Term &a, const Term &b) const
bool | operator() (const Term &a, const Exponent *b) const
bool | operator() (const Exponent *a, const Term &b) const
bool | operator() (const Exponent *a, const Exponent *b) const
size_t | getVarCount () const
void | setVarCount (size_t varCount)

## Static Public Member Functions

static const char * | staticGetName ()

## Private Member Functions

virtual bool | doPredicate (const Exponent *a, const Exponent *b) const

## Detailed Description

A predicate that sorts according to reverse lexicographic order.

Definition at line 111 of file TermPredicate.h.

## Constructor & Destructor Documentation

## ReverseLexComparator()

ReverseLexComparator::ReverseLexComparator | ( | size_t | varCount = 0 | ) |

Definition at line 95 of file TermPredicate.cpp.

## Member Function Documentation

## doPredicate()

virtual bool ReverseLexComparator::doPredicate | ( | const Exponent * | a,
|  | const Exponent * | b ) const

inline private virtual

Implements TermPredicate.

Definition at line 118 of file TermPredicate.h.

## staticGetName()

const char * ReverseLexComparator::staticGetName | ( |  | ) |

static

Definition at line 99 of file TermPredicate.cpp.

The documentation for this class was generated from the following files:

- src/TermPredicate.h
- src/TermPredicate.cpp